Name:		ssss
Summary:	Shamir's Secret Sharing Scheme
Version:	0.5
Release:	%mkrel 7
Source:		http://point-at-infinity.org/ssss/ssss-%{version}.tar.gz
URL:		http://point-at-infinity.org/ssss/
Group:		File tools
License:	GPLv2+
BuildRequires:	xmltoman 
BuildRequires:	gmp-devel

%description
ssss is an implementation of Shamir's secret sharing scheme for UNIX/linux
machines.

Citing from the Wikipedia article about Secret Sharing:

    In cryptography, a secret sharing scheme is a method for distributing
    a secret amongst a group of participants, each of which is allocated
    a share of the secret. The secret can only be reconstructed when the
    shares are combined together; individual shares are of no use on their
    own.

    More formally, in a secret sharing scheme there is one dealer and n
    players. The dealer gives a secret to the players, but only when specific
    conditions are fulfilled. The dealer accomplishes this by giving each
    player a share in such a way that any group of t (for threshold) or
    more players can together reconstruct the secret but no group of less
    than t players can. Such a system is called a (t,n)-threshold scheme.

ssss does both: the generation of shares for a known secret and the
reconstruction of a secret using user provided shares.

%prep
%setup -q

# do not strip binary
sed -i -e 's|strip ssss-split||' Makefile

%build
%make

%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__cp} -p ssss-split ssss-combine %{buildroot}%{_bindir}
%{__cp} -p ssss.1 %{buildroot}%{_mandir}/man1

%files
%doc LICENSE HISTORY doc.html ssss.1.html THANKS
%{_bindir}/ssss-split
%{_bindir}/ssss-combine
%{_mandir}/man1/ssss.1.*


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.5-7.mga6
+ Revision: 962949
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 0.5-6.mga6
+ Revision: 894313
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.5-5.mga5
+ Revision: 751230
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-4.mga5
+ Revision: 689333
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-3.mga4
+ Revision: 518522
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5-2.mga3
+ Revision: 382689
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 18 2011 boklm <boklm> 0.5-1.mga1
+ Revision: 87709
- imported package ssss

